> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# अवलोकन

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

<div id="comparing-x-apis-users-lookup-endpoints">
  ## X API के users lookup endpoints की तुलना
</div>

v2 user lookup endpoints, standard v1.1 [GET users/lookup](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-users-lookup.html) और [GET users/show](https://developer.x.com/en/docs/twitter-api/v1/accounts-and-users/follow-search-get-users/api-reference/get-users-show.html) endpoints की जगह लेंगे। यदि आपके पास ऐसा code, ऐप्स, या tools हैं जो user lookup endpoints के इन versions में से किसी एक का उपयोग करते हैं, और आप नए X API v2 endpoint पर migrate करने पर विचार कर रहे हैं, तो guides का यह सेट आपके लिए है। 
 

निम्नलिखित तालिकाएँ users lookup endpoints के विभिन्न प्रकारों की तुलना करती हैं:
 

|                                                                                                                                                                           |                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                                                                    |
| :------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | :-------------------------------------------------------------------------------------------------------------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **विवरण**                                                                                                                                                                 | **Standard v1.1**                                                                                                                                         | **X API v2**                                                                                                                                                                                                                                                                                                                                                       |
| समर्थित HTTP methods                                                                                                                                                      | `GET`                                                                                                                                                     | `GET`                                                                                                                                                                                                                                                                                                                                                              |
| Host domain                                                                                                                                                               | `https://api.x.com`                                                                                                                                       | `https://api.x.com`                                                                                                                                                                                                                                                                                                                                                |
| Endpoint path                                                                                                                                                             | `/1.1/users/show.json` `/1.1/users/lookup.json`                                                                                                           | `/2/users`<br /><br />`/2/users/:id`<br /><br />`/2/users/by`<br /><br />`/2/users/by/:username`                                                                                                                                                                                                                                                                   |
| [Authentication](/hi/resources/fundamentals/authentication)                                                                                                               | OAuth 1.0a User Context                                                                                                                                   | OAuth 1.0a User Context<br /><br />केवल App<br /><br />PKCE के साथ OAuth 2.0 Authorization Code                                                                                                                                                                                                                                                                    |
| डिफ़ॉल्ट request [रेट लिमिट्स](/hi/resources/fundamentals/rate-limits)                                                                                                    | प्रति 15 मिनट 900 requests (प्रति user)<br /><br />/show - प्रति 15 मिनट 900 requests (प्रति app)  <br />/lookup - प्रति 15 मिनट 300 requests (प्रति app) | प्रति 15 मिनट 900 requests (प्रति user)<br /><br />प्रति 15 मिनट 300 requests (प्रति app)                                                                                                                                                                                                                                                                          |
| प्रति रिस्पॉन्स अधिकतम Users                                                                                                                                              | /show -  1<br /><br />/lookup - 100                                                                                                                       | 100                                                                                                                                                                                                                                                                                                                                                                |
| JSON रिस्पॉन्स object format                                                                                                                                              | Standard v1.1 format                                                                                                                                      | [X API v2 format](/hi/x-api/fundamentals/data-dictionary) (फ़ील्ड्स और expansions request parameters द्वारा निर्धारित; v1.1 formats के साथ backward-compatible नहीं)<br /><br />Standard v1.1 format से X API v2 format में migrate करने के बारे में अधिक जानने के लिए, कृपया हमारी [data formats migration guide](/hi/x-api/migrate/data-format-migration) देखें। |
| payload में कौन-से [फ़ील्ड्स](/hi/x-api/fundamentals/data-dictionary) लौटें, इसे चुनने का समर्थन करता है                                                                  |                                                                                                                                                           | ✔                                                                                                                                                                                                                                                                                                                                                                  |
| [annotations](/hi/x-api/fundamentals/post-annotations) फ़ील्ड्स का समर्थन करता है (pinned पोस्ट पर)                                                                       |                                                                                                                                                           | ✔                                                                                                                                                                                                                                                                                                                                                                  |
| नए [metrics](/hi/x-api/fundamentals/metrics) फ़ील्ड्स का अनुरोध करने का समर्थन करता है (pinned पोस्ट पर)                                                                  |                                                                                                                                                           | ✔                                                                                                                                                                                                                                                                                                                                                                  |
| [conversation\_id](/hi/x-api/fundamentals/conversation-id) फ़ील्ड का समर्थन करता है (pinned पोस्ट पर)                                                                     |                                                                                                                                                           | ✔                                                                                                                                                                                                                                                                                                                                                                  |
| किसी [project](/hi/resources/fundamentals/developer-apps) से संबद्ध [developer ऐप](/hi/resources/fundamentals/developer-apps) के credentials के उपयोग की आवश्यकता होती है |                                                                                                                                                           | ✔                                                                                                                                                                                                                                                                                                                                                                  |

**माइग्रेशन के अन्य संसाधन**

[User lookup: Standard v1.1 से X API v2](/hi/x-api/users/lookup/migrate/standard-to-twitter-api-v2)

[X API migration hub](/hi/x-api/migrate/overview)

[इन endpoints के लिए कुछ sample code देखें](https://github.com/xdevplatform/Twitter-API-v2-sample-code "इन endpoints के लिए कुछ sample code देखें")
